varying highp vec2 v_texCoord;
varying highp vec4 v_tint_color;
varying highp vec4 v_waves_move_speed;
varying highp vec4 v_shores_move_speed;
varying highp vec4 v_max_val;
varying highp vec4 v_min_val;

uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform highp float u_time;

void main()
{
	highp float max = sin(u_time*v_shores_move_speed.x) * 0.015 + v_max_val.x;
	highp float min = v_min_val.x;

	highp vec4 col = texture2D(u_texture, v_texCoord);
	highp float alpha = col.x;
	highp float delta = (alpha - min) / (max - min);
	
	highp vec2 texcoords = vec2(delta , mod((u_time/v_waves_move_speed.x)+v_texCoord.x*2.0,1.0));

	if (alpha > min && alpha < max)
	{
		col = texture2D(u_texture1, texcoords);
		//col.a *= delta;
		gl_FragColor = col * v_tint_color;
	}
	else if(alpha >= max)
	{
		col = texture2D(u_texture1, vec2(1.0, texcoords.y));
		gl_FragColor = col * delta * v_tint_color;
	}
else
{
	discard;
}
}