attribute highp vec4 a_position;
attribute highp vec2 a_texCoord;

uniform highp mat4 u_modelViewProjectionMatrix;
uniform highp vec4 u_waves_move_speed;
uniform highp vec4 u_shores_move_speed;
uniform highp vec4 u_max_val;
uniform highp vec4 u_min_val;
uniform highp vec4 u_tint_color;

varying highp vec2 v_texCoord;
varying highp vec4 v_tint_color;
varying highp vec4 v_waves_move_speed;
varying highp vec4 v_shores_move_speed;
varying highp vec4 v_max_val;
varying highp vec4 v_min_val;

void main() 
{
	vec4 pos = u_modelViewProjectionMatrix * a_position;
	gl_Position = pos;
	v_texCoord = a_texCoord;
	v_waves_move_speed = u_waves_move_speed;
	v_shores_move_speed = u_shores_move_speed;
	v_max_val = u_max_val;
	v_min_val = u_min_val;
	v_tint_color = u_tint_color;
}