uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform highp float u_time;
uniform lowp vec4 u_screenSize;
varying lowp vec2 v_texCoord;
varying lowp vec4 v_alphaTest;
varying lowp vec4 v_pos;

void main()
{
	lowp float aspectRatio = u_screenSize.x / u_screenSize.y;

	highp float swirl =sin((u_time*5.0)+v_texCoord.y*200.0)*0.001;
	highp vec2 waterCoord = vec2(swirl + v_texCoord.x, -swirl + v_texCoord.y);
	
	//Translate glPosition from [-1,1] to [0,1]
	highp vec4 sunCoordinate = (v_pos + vec4(1.0, 1.0, 0.0, 0.0)) / 2.0;
	//Flip y
	sunCoordinate.y = 1.0 - sunCoordinate.y;

	//Adapt x coordinate to Aspect Ratio
	sunCoordinate += vec4(-0.5, -0.5, 0.0, 0.0);
	sunCoordinate.x *= aspectRatio;
	sunCoordinate += vec4(0.5, 0.5, 0.0, 0.0);

	highp vec2 sunPos = vec2(swirl * 4.0 + sunCoordinate.x, sunCoordinate.y);
	highp vec4 colWater = texture2D(u_texture, waterCoord);
	highp vec4 colSun = texture2D(u_texture1, sunPos);

	gl_FragColor = colWater + (colSun.a * 0.6);
}