varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;
varying mediump vec3 v_normal;

varying highp vec4 v_worldPos;
varying highp vec3 v_camPOS;

uniform sampler2D u_texture;
//uniform sampler2D u_texture1;

uniform mediump float u_materialShininess;

uniform mediump vec4 u_materialSpecular;

uniform highp vec4 u_screenSize;

uniform lowp vec3 u_lightPOS;

void main() {

	vec3 V = normalize( v_camPOS.xyz - v_worldPos.xyz );

	vec3 L = normalize( u_lightPOS.xyz - v_worldPos.xyz );

	vec3 H = normalize( L + V );

	float NdotH = clamp( dot( v_normal, H ), 0.0, 1.0 );

	float SpecPow = pow( NdotH, u_materialShininess );

	vec4 pixelColour = texture2D( u_texture, v_texCoord) ;

	gl_FragColor = pixelColour + ( u_materialSpecular * SpecPow );

}